> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List user API keys



## OpenAPI

````yaml api-reference/openapi.account.json GET /user/api-keys
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /user/api-keys:
    get:
      tags:
        - api-keys
      summary: List user API keys
      operationId: listAPIKeys
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProvidersResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    ListProvidersResponse:
      additionalProperties: false
      properties:
        providers:
          items:
            $ref: '#/components/schemas/ConnectedProvider'
          type: array
      required:
        - providers
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    ConnectedProvider:
      additionalProperties: false
      properties:
        added_at:
          format: date-time
          type: string
        connected:
          type: boolean
        provider:
          enum:
            - openrouter
            - anthropic
          type: string
      required:
        - provider
        - connected
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````